# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/bus/allwinner,sun8i-a23-rsb.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A23 RSB Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

properties:
  "#address-cells":
    const: 1

  "#size-cells":
    const: 0

  compatible:
    oneOf:
      - const: allwinner,sun8i-a23-rsb
      - items:
          - const: allwinner,sun8i-a83t-rsb
          - const: allwinner,sun8i-a23-rsb

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

  resets:
    maxItems: 1

  clock-frequency:
    minimum: 1
    maximum: 20000000

patternProperties:
  "^.*@[0-9a-fA-F]+$":
    type: object
    properties:
      reg:
        maxItems: 1

    required:
      - reg

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - resets

examples:
  - |
    rsb@1f03400 {
        compatible = "allwinner,sun8i-a23-rsb";
        reg = <0x01f03400 0x400>;
        interrupts = <0 39 4>;
        clocks = <&apb0_gates 3>;
        clock-frequency = <3000000>;
        resets = <&apb0_rst 3>;
        #address-cells = <1>;
        #size-cells = <0>;

        pmic@3e3 {
            reg = <0x3e3>;

            /* ... */
        };
    };

additionalProperties: false
